Subject: Re: bug#29186: building guile-emacs fails: required libaries not found: libjpeg

From: [email-masked] (Ludovic Courtès)
Date: Tue, 14 Nov 2017 23:09:31 +0100

Hello,

Jan Nieuwenhuizen <[email-masked]> skribis:

> Efraim Flashner writes:
>
>>> +           (add-before 'configure 'setenv
>>> +             (lambda _
>>> +               (setenv "CFLAGS" "-g")))
>>>             (add-after 'unpack 'autogen
>>>                        (lambda _
>>>                          (zero? (system* "sh" "autogen.sh"))))))))))
>>
>> Couldn't this be a make-flag or a configure-flag?
>
> Yes, as a configure flags also works.  However, I tracked down the
> segfault, backported a patch and and now it builds with -O2.
>
> New patch attached.

Great that you found out!

>>>From f6633adf4c5ceee3a63da9a3909a94c22f55b68a Mon Sep 17 00:00:00 2001
> From: Jan Nieuwenhuizen <[email-masked]>
> Date: Tue, 7 Nov 2017 08:08:21 +0100
> Subject: [PATCH] gnu: guile-emacs: Resurrect, fixes #29186.
>
> * gnu/packages/patches/guile-emacs-fix-configure.patch: New file.
> * gnu/local.mk (dist_patch_DATA): Add it.
> * gnu/packages/emacs.scm (guile-emacs): Use it.  Add workaround for src/deps
> dir creation.  Fixes #29186.

I’m fine with this patch.  I’m a bit concerned about the risk of
accumulating patches that should really be in guile-emacs proper,
though.  IMO it would be better if this patch were pushed to
guile-emacs, or if an alternate guile-emacs repo were set up if the
current one is inactive.  If that’s too cumbersome though, feel free to
push this patch!

Thanks,
Ludo’.